/// <reference types="react" />
import { FormControl } from './FormControl';
export declare class InputCounterControl extends FormControl<any> {
    static propTypes: any;
    static defaultProps: {
        testAutomationId: string;
        maxLength: number;
        minValue: number;
        maxValue: number;
        decreaseLabel: string;
        increaseLabel: string;
        hasFormGroupContainer: boolean;
        hasFeedbackBlock: boolean;
    };
    getValue(): any;
    setValue(value: any): void;
    getInputDOMNode(): any;
    getValidatedValue(value: any): any;
    onTextInputChange(e: any): void;
    onTextInputBlur(): void;
    onTextInputKeyDown: (e: any) => void;
    increment(): void;
    decrement(): void;
    render(): JSX.Element;
}
